%define docver 1.4.3

Name: ZynAddSubFX
Version: 2.2.1
Release: %mkrel 6
Summary: Real-time MIDI software synthesizer
Source0: http://prdownloads.sourceforge.net/zynaddsubfx/%{name}-%{version}.tar.bz2
Source1: http://prdownloads.sourceforge.net/zynaddsubfx/%name-doc-%docver.tar.gz
Source3: mandriva-controller.desktop
Source4: mandriva-spliter.desktop
Source5: mandriva-zynaddsubfx.desktop
Patch: ZynAddSubFX-2.2.0-makefile.patch
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://sourceforge.net/projects/zynaddsubfx
BuildRequires: libalsa-devel
BuildRequires: fltk-devel
BuildRequires: fftw3-devel
BuildRequires: libjack-devel
BuildRequires: mxml-devel

%description
A real-time software synthesizer for Linux with many features,
including polyphony, multi-timbral and microtonal capabilities.  It
includes randomness of some parameters,which makes warm sounds, like
analogue synthesizers.  The program has system/insertion effects, too.

%files
%defattr(-,root,root)
%doc examples html *.txt ZynAddSubFX.lsm 
%doc  ExternalPrograms/Spliter/readme.txt
%_bindir/zynaddsubfx
%_bindir/spliter
%_bindir/controller
%{_datadir}/applications/*
%{_datadir}/zynaddsubfx/*

#----------------------------------------------------------------------------

%prep
%setup -q -a 1 -n %name-%{version}
%patch -p1 -b .makefile

chmod 644 *.txt
mv %name-doc-%docver html

%build
cd src
make OPTFLAGS="%optflags"
cd ../ExternalPrograms/Spliter
export PATH=$PATH:.
./compile.sh
cd ../Controller/
./compile.sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir %buildroot/%_datadir/applications %buildroot/%_datadir/zynaddsubfx
install -m 755 src/zynaddsubfx %buildroot/%_bindir
install -m 755 ExternalPrograms/Spliter/spliter %buildroot/%_bindir
install -m 755 ExternalPrograms/Controller/controller %buildroot/%_bindir
install -m 644 %SOURCE3 %SOURCE4 %SOURCE5 %buildroot/%_datadir/applications
cp -a banks %buildroot/%_datadir/zynaddsubfx
cp -a presets %buildroot/%_datadir/zynaddsubfx


%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.1-6mdv2009.0
+ Revision: 263231
- rebuild

* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.1-5mdv2009.0
+ Revision: 262918
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 14 2007 Helio Chissini de Castro <helio@mandriva.com> 2.2.1-3mdv2008.0
+ Revision: 26726
- Moved .desktop files outside spec
- Added banks and presets ( already included in package but not installed )
- Removed old menudir ( not used on 2008 )
- import ZynAddSubFX-2.2.1-2mdv2007.0


* Tue Sep 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.1-2mdv2007.0
- XDG
- Use mkrel

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 2.2.1-1mdk
- New release 2.2.1

* Sat Apr 09 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-1mdk
- rediff the patch
- New release 2.2.0

* Sun Oct 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- New release 2.1.1

* Sat Oct 02 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- New release 2.1.0

* Sun Aug 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- rediff patch
- new version

* Thu Aug 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-0.pre2.2mdk
- fix buildrequires

* Mon Aug 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-0.pre2.1mdk
- drop patch 1
- rediff patch 0
- new version

* Mon Jul 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-0.pre1.1mdk
- patch1: fix mxml build
- disable fftw fix
- depend on mxml
- rediff patch
- add source URLs
- new version

* Fri Sep 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-2mdk
- fix buildrequires
- fix fftw build, thanks to Torbjrn Turpeinen

